//
//  ChimpanzeeGameViewController.h
//  ChimpanzeeGame
//
//  Created by kunii on 08/10/13.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import <UIKit/UIKit.h>
@class ChimpanzeeExaminer;

enum {
	BUTTON_H_COUNT = 3,	//	ボタンの横の数
	BUTTON_V_COUNT = 3	//	ボタンの縦の数
};

@interface ChimpanzeeGameViewController : UIViewController {
	UIButton* buttons[BUTTON_H_COUNT * BUTTON_V_COUNT];		//	ボタンの総数は横 x 縦
	int	clickSquence[BUTTON_H_COUNT * BUTTON_V_COUNT + 1];	//	SEQUENCE_TERMINATORを追加した数とする。
	int	index;												//	現在比較するべき順序。clickSquence[index]として利用。
	int	level;												//	ボタン順序を何個まで出題するか
	ChimpanzeeExaminer*	examiner;							//	試験官
}
- (void)start:(NSString*)message;
- (void)setLevel:(NSInteger)inLevel;
- (int)getLevel;
@end

