//
//  ChimpanzeeExaminer.m
//  ChimpanzeeGame
//
//  Created by kunii on 08/11/15.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "ChimpanzeeExaminer.h"


@implementation ChimpanzeeExaminer

- (id)init
{
	self = [super init];
    if (self) {
        BLOCK_COUNT = 9;
        curtNumber = 0;
        locations = NULL;	
    }
    return self;
}

- (void)dealloc 
{
	if (locations)
		free(locations);
	[super dealloc];
}

- (const int*)startGame:(int)countOfNumbers
{
	int leftCount = BLOCK_COUNT;	//　　全マス目数
	//　　全マス目の座標を入れる配列を作成
	int* loc = (int*)malloc(sizeof(int) * leftCount);
	for (int i = 0; i < leftCount; i++) {			//　　全マス目座標をすべて用意。
		loc[i] = i;
	}
	if (locations)
		free(locations);
	locations = (int*)malloc(sizeof(int) * countOfNumbers); // 求めるcountOfNumbersの座標配列を確保
	for (int i = 0; i < countOfNumbers; i++) {	//　　countOfNumbers分埋まるまでループ
		int index = rand() % leftCount;
		locations[i] = loc[index];
		loc[index] = loc[leftCount - 1];
		leftCount--;
	}
	free(loc);	//　　用が済んだ全マス目座標配列を破棄
	curtNumber = 0;
	return locations;
}

-(BOOL)judge:(int)location
{
	if (locations[curtNumber] != location)
		return FALSE;
	curtNumber++;
	return TRUE;
}
@end
