//
//  ChimpanzeeGameAppDelegate.m
//  ChimpanzeeGame
//
//  Created by kunii on 08/10/13.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "ChimpanzeeGameAppDelegate.h"
#import "ChimpanzeeGameViewController.h"

@implementation ChimpanzeeGameAppDelegate

@synthesize window;
@synthesize viewController;

static NSString* kStartLevel = @"StartLevel";

- (void)applicationDidFinishLaunching:(UIApplication *)application {	
	NSUserDefaults* defaults = [NSUserDefaults standardUserDefaults];
	int level = [defaults integerForKey:kStartLevel];
	if (level == 0)
		level = 3;
	[viewController setLevel:level];

	// Override point for customization after app launch	
    [window addSubview:viewController.view];
	[window makeKeyAndVisible];
}

- (void)applicationWillTerminate:(UIApplication *)application
{
	int level = [viewController getLevel];
	NSUserDefaults* defaults = [NSUserDefaults standardUserDefaults];
	[defaults setInteger:level forKey:kStartLevel];
	[defaults synchronize];
}

- (void)dealloc {
    [viewController release];
	[window release];
	[super dealloc];
}


@end
